Closed Bug 1667116 Opened 1 year ago Closed 1 year ago

Screen tearing in full screen

Categories

(Core :: Widget: Gtk, defect, P2)

Firefox 81
x86_64
Linux
defect

Tracking

()

VERIFIED FIXED
83 Branch
Tracking Status
firefox-esr78 --- unaffected
firefox81 --- disabled
firefox82 --- disabled
firefox83 --- fixed

People

(Reporter: ruffson, Assigned: rmader)

References

(Blocks 1 open bug, Regression)

Details

(Keywords: regression)

Attachments

(4 files)

User Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:81.0) Gecko/20100101 Firefox/81.0

Steps to reproduce:

On intel graphics (CPU: Intel i7-10875H) and X11:

  • Opening a video from youtube or floatplane video in full screen.
  • Results in massiv screen tearing.

It seems that running this on Nvidia does not show screen tearing, but I would rather save battery and not use the dGPU for Firefox (also PiP crashed when I tried it).

Actual results:

On F80 and F81 I experience pretty aggressive screen tearing like I have never seen before. This happens only here, other video players or chromium do not show this behaviour.
I tried setting layers.acceleration.force-enabled to true but that did not work, it did in the past.

Additional info:

  • running Fedora 32
  • using Nvidia GPU offloading, but running Firefox on intel graphics

Sorry for opening yet another such screen tearing ticket but the ones active are specific to windows and for quite old versions of Firefox.

Graphics results from about:support:

Features
Compositing	Basic
Asynchronous Pan/Zoom	wheel input enabled; scrollbar drag enabled; keyboard enabled; autoscroll enabled
WebGL 1 Driver WSI Info	GLX 1.4
GLX_VENDOR(client): Mesa Project and SGI
GLX_VENDOR(server): SGI
Extensions: GLX_ARB_create_context GLX_ARB_create_context_no_error GLX_ARB_create_context_profile GLX_ARB_create_context_robustness GLX_ARB_fbconfig_float GLX_ARB_framebuffer_sRGB GLX_ARB_get_proc_address GLX_ARB_multisample GLX_EXT_buffer_age GLX_EXT_create_context_es2_profile GLX_EXT_create_context_es_profile GLX_EXT_fbconfig_packed_float GLX_EXT_framebuffer_sRGB GLX_EXT_import_context GLX_EXT_texture_from_pixmap GLX_EXT_visual_info GLX_EXT_visual_rating GLX_INTEL_swap_event GLX_MESA_copy_sub_buffer GLX_MESA_query_renderer GLX_MESA_swap_control GLX_OML_swap_method GLX_OML_sync_control GLX_SGIS_multisample GLX_SGIX_fbconfig GLX_SGIX_pbuffer GLX_SGIX_visual_select_group GLX_SGI_make_current_read GLX_SGI_swap_control GLX_SGI_video_sync 
WebGL 1 Driver Renderer	Intel -- Mesa Intel(R) UHD Graphics (CML GT2)
WebGL 1 Driver Version	4.6 (Compatibility Profile) Mesa 20.1.8
WebGL 1 Driver Extensions	GL_ARB_multisample GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_copy_texture GL_EXT_subtexture GL_EXT_texture_object GL_EXT_vertex_array GL_EXT_compiled_vertex_array GL_EXT_texture GL_EXT_texture3D GL_IBM_rasterpos_clip GL_ARB_point_parameters GL_EXT_draw_range_elements GL_EXT_packed_pixels GL_EXT_point_parameters GL_EXT_rescale_normal GL_EXT_separate_specular_color GL_EXT_texture_edge_clamp GL_SGIS_generate_mipmap GL_SGIS_texture_border_clamp GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod GL_ARB_framebuffer_sRGB GL_ARB_multitexture GL_EXT_framebuffer_sRGB GL_IBM_multimode_draw_arrays GL_IBM_texture_mirrored_repeat GL_3DFX_texture_compression_FXT1 GL_ARB_texture_cube_map GL_ARB_texture_env_add GL_ARB_transpose_matrix GL_EXT_blend_func_separate GL_EXT_fog_coord GL_EXT_multi_draw_arrays GL_EXT_secondary_color GL_EXT_texture_env_add GL_EXT_texture_filter_anisotropic GL_EXT_texture_lod_bias GL_INGR_blend_func_separate GL_NV_blend_square GL_NV_light_max_exponent GL_NV_texgen_reflection GL_NV_texture_env_combine4 GL_S3_s3tc GL_SUN_multi_draw_arrays GL_ARB_texture_border_clamp GL_ARB_texture_compression GL_EXT_framebuffer_object GL_EXT_texture_compression_s3tc GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_MESA_window_pos GL_NV_packed_depth_stencil GL_NV_texture_rectangle GL_ARB_depth_texture GL_ARB_occlusion_query GL_ARB_shadow GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_mirrored_repeat GL_ARB_window_pos GL_ATI_fragment_shader GL_EXT_stencil_two_side GL_EXT_texture_cube_map GL_NV_depth_clamp GL_NV_fog_distance GL_APPLE_packed_pixels GL_ARB_draw_buffers GL_ARB_fragment_program GL_ARB_fragment_shader GL_ARB_shader_objects GL_ARB_vertex_program GL_ARB_vertex_shader GL_ATI_draw_buffers GL_ATI_texture_env_combine3 GL_ATI_texture_float GL_EXT_shadow_funcs GL_EXT_stencil_wrap GL_MESA_pack_invert GL_NV_primitive_restart GL_ARB_depth_clamp GL_ARB_fragment_program_shadow GL_ARB_half_float_pixel GL_ARB_occlusion_query2 GL_ARB_point_sprite GL_ARB_shading_language_100 GL_ARB_sync GL_ARB_texture_non_power_of_two GL_ARB_vertex_buffer_object GL_ATI_blend_equation_separate GL_EXT_blend_equation_separate GL_OES_read_format GL_ARB_color_buffer_float GL_ARB_pixel_buffer_object GL_ARB_texture_compression_rgtc GL_ARB_texture_float GL_ARB_texture_rectangle GL_EXT_packed_float GL_EXT_pixel_buffer_object GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_rgtc GL_EXT_texture_rectangle GL_EXT_texture_sRGB GL_EXT_texture_shared_exponent GL_ARB_framebuffer_object GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXT_packed_depth_stencil GL_ARB_vertex_array_object GL_ATI_separate_stencil GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_gpu_program_parameters GL_EXT_gpu_shader4 GL_EXT_texture_array GL_EXT_texture_integer GL_EXT_texture_sRGB_decode GL_EXT_timer_query GL_OES_EGL_image GL_AMD_performance_monitor GL_EXT_texture_buffer_object GL_AMD_texture_texture4 GL_ARB_copy_buffer GL_ARB_depth_buffer_float GL_ARB_draw_instanced GL_ARB_half_float_vertex GL_ARB_instanced_arrays GL_ARB_map_buffer_range GL_ARB_texture_buffer_object GL_ARB_texture_rg GL_ARB_texture_swizzle GL_ARB_vertex_array_bgra GL_EXT_texture_swizzle GL_EXT_vertex_array_bgra GL_NV_conditional_render GL_AMD_conservative_depth GL_AMD_depth_clamp_separate GL_AMD_draw_buffers_blend GL_AMD_seamless_cubemap_per_texture GL_AMD_shader_stencil_export GL_ARB_ES2_compatibility GL_ARB_blend_func_extended GL_ARB_compatibility GL_ARB_debug_output GL_ARB_draw_buffers_blend GL_ARB_draw_elements_base_vertex GL_ARB_explicit_attrib_location GL_ARB_fragment_coord_conventions GL_ARB_provoking_vertex GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_shader_stencil_export GL_ARB_shader_texture_lod GL_ARB_tessellation_shader GL_ARB_texture_buffer_object_rgb32 GL_ARB_texture_cube_map_array GL_ARB_texture_gather GL_ARB_texture_multisample GL_ARB_texture_query_lod GL_ARB_texture_rgb10_a2ui GL_ARB_uniform_buffer_object GL_ARB_vertex_type_2_10_10_10_rev GL_EXT_provoking_vertex GL_EXT_texture_snorm GL_MESA_texture_signed_rgba GL_NV_copy_image GL_NV_texture_barrier GL_ARB_draw_indirect GL_ARB_get_program_binary GL_ARB_gpu_shader5 GL_ARB_gpu_shader_fp64 GL_ARB_robustness GL_ARB_separate_shader_objects GL_ARB_shader_bit_encoding GL_ARB_shader_precision GL_ARB_shader_subroutine GL_ARB_texture_compression_bptc GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ARB_vertex_attrib_64bit GL_ARB_viewport_array GL_EXT_direct_state_access GL_EXT_vertex_attrib_64bit GL_AMD_multi_draw_indirect GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ARB_base_instance GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth GL_ARB_internalformat_query GL_ARB_map_buffer_alignment GL_ARB_shader_atomic_counters GL_ARB_shader_image_load_store GL_ARB_shading_language_420pack GL_ARB_shading_language_packing GL_ARB_texture_storage GL_ARB_transform_feedback_instanced GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_transform_feedback GL_AMD_query_buffer_object GL_AMD_shader_trinary_minmax GL_AMD_vertex_shader_layer GL_AMD_vertex_shader_viewport_index GL_ARB_ES3_compatibility GL_ARB_arrays_of_arrays GL_ARB_clear_buffer_object GL_ARB_compute_shader GL_ARB_copy_image GL_ARB_explicit_uniform_location GL_ARB_fragment_layer_viewport GL_ARB_framebuffer_no_attachments GL_ARB_invalidate_subdata GL_ARB_multi_draw_indirect GL_ARB_program_interface_query GL_ARB_robust_buffer_access_behavior GL_ARB_shader_image_size GL_ARB_shader_storage_buffer_object GL_ARB_stencil_texturing GL_ARB_texture_buffer_range GL_ARB_texture_query_levels GL_ARB_texture_storage_multisample GL_ARB_texture_view GL_ARB_vertex_attrib_binding GL_KHR_debug GL_KHR_robustness GL_KHR_texture_compression_astc_ldr GL_AMD_pinned_memory GL_ARB_buffer_storage GL_ARB_clear_texture GL_ARB_enhanced_layouts GL_ARB_indirect_parameters GL_ARB_internalformat_query2 GL_ARB_multi_bind GL_ARB_query_buffer_object GL_ARB_seamless_cubemap_per_texture GL_ARB_shader_draw_parameters GL_ARB_shader_group_vote GL_ARB_shading_language_include GL_ARB_texture_mirror_clamp_to_edge GL_ARB_texture_stencil8 GL_ARB_vertex_type_10f_11f_11f_rev GL_EXT_shader_framebuffer_fetch GL_EXT_shader_integer_mix GL_INTEL_performance_query GL_ARB_ES3_1_compatibility GL_ARB_clip_control GL_ARB_conditional_render_inverted GL_ARB_cull_distance GL_ARB_derivative_control GL_ARB_direct_state_access GL_ARB_get_texture_sub_image GL_ARB_pipeline_statistics_query GL_ARB_shader_texture_image_samples GL_ARB_texture_barrier GL_ARB_transform_feedback_overflow_query GL_EXT_polygon_offset_clamp GL_KHR_blend_equation_advanced GL_KHR_blend_equation_advanced_coherent GL_KHR_context_flush_control GL_KHR_robust_buffer_access_behavior GL_ARB_fragment_shader_interlock GL_ARB_gpu_shader_int64 GL_ARB_parallel_shader_compile GL_ARB_post_depth_coverage GL_ARB_shader_atomic_counter_ops GL_ARB_shader_ballot GL_ARB_shader_clock GL_ARB_shader_viewport_layer_array GL_EXT_shader_samples_identical GL_KHR_no_error GL_KHR_texture_compression_astc_sliced_3d GL_NV_fragment_shader_interlock GL_ARB_gl_spirv GL_ARB_spirv_extensions GL_MESA_shader_integer_functions GL_ARB_polygon_offset_clamp GL_ARB_texture_filter_anisotropic GL_KHR_parallel_shader_compile GL_EXT_EGL_image_storage GL_EXT_shader_framebuffer_fetch_non_coherent GL_EXT_texture_sRGB_R8 GL_EXT_texture_shadow_lod GL_INTEL_blackhole_render GL_INTEL_shader_atomic_float_minmax GL_INTEL_shader_integer_functions2 GL_MESA_framebuffer_flip_y GL_NV_compute_shader_derivatives GL_EXT_EGL_sync GL_EXT_demote_to_helper_invocation 
WebGL 1 Extensions	ANGLE_instanced_arrays EXT_blend_minmax EXT_color_buffer_half_float EXT_float_blend EXT_frag_depth EXT_shader_texture_lod EXT_sRGB EXT_texture_compression_bptc EXT_texture_compression_rgtc EXT_texture_filter_anisotropic MOZ_debug OES_element_index_uint OES_fbo_render_mipmap OES_standard_derivatives OES_texture_float OES_texture_float_linear OES_texture_half_float OES_texture_half_float_linear OES_vertex_array_object WEBGL_color_buffer_float WEBGL_compressed_texture_astc WEBGL_compressed_texture_etc WEBGL_compressed_texture_s3tc WEBGL_compressed_texture_s3tc_srgb WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_depth_texture WEBGL_draw_buffers WEBGL_lose_context
WebGL 2 Driver WSI Info	GLX 1.4
GLX_VENDOR(client): Mesa Project and SGI
GLX_VENDOR(server): SGI
Extensions: GLX_ARB_create_context GLX_ARB_create_context_no_error GLX_ARB_create_context_profile GLX_ARB_create_context_robustness GLX_ARB_fbconfig_float GLX_ARB_framebuffer_sRGB GLX_ARB_get_proc_address GLX_ARB_multisample GLX_EXT_buffer_age GLX_EXT_create_context_es2_profile GLX_EXT_create_context_es_profile GLX_EXT_fbconfig_packed_float GLX_EXT_framebuffer_sRGB GLX_EXT_import_context GLX_EXT_texture_from_pixmap GLX_EXT_visual_info GLX_EXT_visual_rating GLX_INTEL_swap_event GLX_MESA_copy_sub_buffer GLX_MESA_query_renderer GLX_MESA_swap_control GLX_OML_swap_method GLX_OML_sync_control GLX_SGIS_multisample GLX_SGIX_fbconfig GLX_SGIX_pbuffer GLX_SGIX_visual_select_group GLX_SGI_make_current_read GLX_SGI_swap_control GLX_SGI_video_sync 
WebGL 2 Driver Renderer	Intel -- Mesa Intel(R) UHD Graphics (CML GT2)
WebGL 2 Driver Version	4.6 (Core Profile) Mesa 20.1.8
WebGL 2 Driver Extensions	GL_3DFX_texture_compression_FXT1 GL_AMD_conservative_depth GL_AMD_depth_clamp_separate GL_AMD_draw_buffers_blend GL_AMD_gpu_shader_int64 GL_AMD_multi_draw_indirect GL_AMD_performance_monitor GL_AMD_pinned_memory GL_AMD_query_buffer_object GL_AMD_seamless_cubemap_per_texture GL_AMD_shader_stencil_export GL_AMD_shader_trinary_minmax GL_AMD_texture_texture4 GL_AMD_vertex_shader_layer GL_AMD_vertex_shader_viewport_index GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ARB_ES2_compatibility GL_ARB_ES3_1_compatibility GL_ARB_ES3_2_compatibility GL_ARB_ES3_compatibility GL_ARB_arrays_of_arrays GL_ARB_base_instance GL_ARB_blend_func_extended GL_ARB_buffer_storage GL_ARB_clear_buffer_object GL_ARB_clear_texture GL_ARB_clip_control GL_ARB_compressed_texture_pixel_storage GL_ARB_compute_shader GL_ARB_conditional_render_inverted GL_ARB_conservative_depth GL_ARB_copy_buffer GL_ARB_copy_image GL_ARB_cull_distance GL_ARB_debug_output GL_ARB_depth_buffer_float GL_ARB_depth_clamp GL_ARB_derivative_control GL_ARB_direct_state_access GL_ARB_draw_buffers GL_ARB_draw_buffers_blend GL_ARB_draw_elements_base_vertex GL_ARB_draw_indirect GL_ARB_draw_instanced GL_ARB_enhanced_layouts GL_ARB_explicit_attrib_location GL_ARB_explicit_uniform_location GL_ARB_fragment_coord_conventions GL_ARB_fragment_layer_viewport GL_ARB_fragment_shader GL_ARB_fragment_shader_interlock GL_ARB_framebuffer_no_attachments GL_ARB_framebuffer_object GL_ARB_framebuffer_sRGB GL_ARB_get_program_binary GL_ARB_get_texture_sub_image GL_ARB_gl_spirv GL_ARB_gpu_shader5 GL_ARB_gpu_shader_fp64 GL_ARB_gpu_shader_int64 GL_ARB_half_float_pixel GL_ARB_half_float_vertex GL_ARB_indirect_parameters GL_ARB_instanced_arrays GL_ARB_internalformat_query GL_ARB_internalformat_query2 GL_ARB_invalidate_subdata GL_ARB_map_buffer_alignment GL_ARB_map_buffer_range GL_ARB_multi_bind GL_ARB_multi_draw_indirect GL_ARB_occlusion_query2 GL_ARB_parallel_shader_compile GL_ARB_pipeline_statistics_query GL_ARB_pixel_buffer_object GL_ARB_point_sprite GL_ARB_polygon_offset_clamp GL_ARB_post_depth_coverage GL_ARB_program_interface_query GL_ARB_provoking_vertex GL_ARB_query_buffer_object GL_ARB_robust_buffer_access_behavior GL_ARB_robustness GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_seamless_cubemap_per_texture GL_ARB_separate_shader_objects GL_ARB_shader_atomic_counter_ops GL_ARB_shader_atomic_counters GL_ARB_shader_ballot GL_ARB_shader_bit_encoding GL_ARB_shader_clock GL_ARB_shader_draw_parameters GL_ARB_shader_group_vote GL_ARB_shader_image_load_store GL_ARB_shader_image_size GL_ARB_shader_objects GL_ARB_shader_precision GL_ARB_shader_stencil_export GL_ARB_shader_storage_buffer_object GL_ARB_shader_subroutine GL_ARB_shader_texture_image_samples GL_ARB_shader_texture_lod GL_ARB_shader_viewport_layer_array GL_ARB_shading_language_420pack GL_ARB_shading_language_include GL_ARB_shading_language_packing GL_ARB_spirv_extensions GL_ARB_stencil_texturing GL_ARB_sync GL_ARB_tessellation_shader GL_ARB_texture_barrier GL_ARB_texture_buffer_object GL_ARB_texture_buffer_object_rgb32 GL_ARB_texture_buffer_range GL_ARB_texture_compression_bptc GL_ARB_texture_compression_rgtc GL_ARB_texture_cube_map_array GL_ARB_texture_filter_anisotropic GL_ARB_texture_float GL_ARB_texture_gather GL_ARB_texture_mirror_clamp_to_edge GL_ARB_texture_multisample GL_ARB_texture_non_power_of_two GL_ARB_texture_query_levels GL_ARB_texture_query_lod GL_ARB_texture_rectangle GL_ARB_texture_rg GL_ARB_texture_rgb10_a2ui GL_ARB_texture_stencil8 GL_ARB_texture_storage GL_ARB_texture_storage_multisample GL_ARB_texture_swizzle GL_ARB_texture_view GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ARB_transform_feedback_instanced GL_ARB_transform_feedback_overflow_query GL_ARB_uniform_buffer_object GL_ARB_vertex_array_bgra GL_ARB_vertex_array_object GL_ARB_vertex_attrib_64bit GL_ARB_vertex_attrib_binding GL_ARB_vertex_buffer_object GL_ARB_vertex_shader GL_ARB_vertex_type_10f_11f_11f_rev GL_ARB_vertex_type_2_10_10_10_rev GL_ARB_viewport_array GL_ATI_blend_equation_separate GL_ATI_texture_float GL_EXT_EGL_image_storage GL_EXT_EGL_sync GL_EXT_abgr GL_EXT_blend_equation_separate GL_EXT_demote_to_helper_invocation GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_framebuffer_object GL_EXT_framebuffer_sRGB GL_EXT_packed_depth_stencil GL_EXT_packed_float GL_EXT_pixel_buffer_object GL_EXT_polygon_offset_clamp GL_EXT_provoking_vertex GL_EXT_shader_framebuffer_fetch GL_EXT_shader_framebuffer_fetch_non_coherent GL_EXT_shader_integer_mix GL_EXT_shader_samples_identical GL_EXT_texture_array GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_rgtc GL_EXT_texture_compression_s3tc GL_EXT_texture_filter_anisotropic GL_EXT_texture_integer GL_EXT_texture_sRGB GL_EXT_texture_sRGB_R8 GL_EXT_texture_sRGB_decode GL_EXT_texture_shadow_lod GL_EXT_texture_shared_exponent GL_EXT_texture_snorm GL_EXT_texture_swizzle GL_EXT_timer_query GL_EXT_transform_feedback GL_EXT_vertex_array_bgra GL_EXT_vertex_attrib_64bit GL_IBM_multimode_draw_arrays GL_INTEL_blackhole_render GL_INTEL_conservative_rasterization GL_INTEL_performance_query GL_INTEL_shader_atomic_float_minmax GL_INTEL_shader_integer_functions2 GL_KHR_blend_equation_advanced GL_KHR_blend_equation_advanced_coherent GL_KHR_context_flush_control GL_KHR_debug GL_KHR_no_error GL_KHR_parallel_shader_compile GL_KHR_robust_buffer_access_behavior GL_KHR_robustness GL_KHR_texture_compression_astc_ldr GL_KHR_texture_compression_astc_sliced_3d GL_MESA_framebuffer_flip_y GL_MESA_pack_invert GL_MESA_shader_integer_functions GL_MESA_texture_signed_rgba GL_NV_compute_shader_derivatives GL_NV_conditional_render GL_NV_copy_image GL_NV_depth_clamp GL_NV_fragment_shader_interlock GL_NV_packed_depth_stencil GL_NV_texture_barrier GL_OES_EGL_image GL_S3_s3tc
WebGL 2 Extensions	EXT_color_buffer_float EXT_float_blend EXT_texture_compression_bptc EXT_texture_compression_rgtc EXT_texture_filter_anisotropic MOZ_debug OES_texture_float_linear WEBGL_compressed_texture_astc WEBGL_compressed_texture_etc WEBGL_compressed_texture_s3tc WEBGL_compressed_texture_s3tc_srgb WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_lose_context
Window Protocol	x11
Desktop Environment	gnome
Off Main Thread Painting Enabled	true
Off Main Thread Painting Worker Count	4
Target Frame Rate	60
GPU #1
Active	Yes
Description	Mesa Intel(R) UHD Graphics (CML GT2)
Vendor ID	0x8086
Device ID	0x9bc4
Driver Vendor	mesa/iris
Driver Version	20.1.8.0
RAM	3072
Diagnostics
AzureCanvasBackend	skia
AzureContentBackend	skia
AzureFallbackCanvasBackend	none
CairoUseXRender	0
CMSOutputProfile	9908 bytes, too large
Display0	3840x2400 default
DisplayCount	1
Decision Log
HW_COMPOSITING	
available by default
blocked by env: Acceleration blocked by platform
OPENGL_COMPOSITING	
unavailable by default: Hardware compositing is disabled
WEBRENDER	
opt-in by default: WebRender is an opt-in feature
WEBRENDER_QUALIFIED	
available by default
denied by env: Not on allowlist
WEBRENDER_COMPOSITOR	
disabled by default: Disabled by default
WEBRENDER_ANGLE	
opt-in by default: WebRender ANGLE is an opt-in feature
WEBRENDER_DCOMP_PRESENT	
opt-in by default: WebRender DirectComposition is an opt-in feature
OMTP	
available by default
WEBGPU	
disabled by default: Disabled by default
blocked by runtime: WebGPU can only be enabled in nightly

Expected results:

It should not show screen tearing on a recent (integrated) GPU.

Bugbug thinks this bug should belong to this component, but please revert this change in case of error.

Component: Untriaged → Graphics: WebRender
Product: Firefox → Core
Priority: -- → P1

Thanks for the report!
Please open about:config, set gfx.webrender.all to true and restart Firefox to check if hardware rendering solves this problem.

If you think this is a regression, please also try to find a regression range:
$ pip3 install --upgrade mozregression
$ mozregression --good 79 --bad 80 --pref gfx.webrender.force-disabled:true

Component: Graphics: WebRender → Graphics
OS: Unspecified → Linux
Priority: P1 → --
Hardware: Unspecified → x86_64

(In reply to Darkspirit, Servo QA from comment #2)

Thanks for the report!
Please open about:config, set gfx.webrender.all to true and restart Firefox to check if hardware rendering solves this problem.

If you think this is a regression, please also try to find a regression range:
$ pip3 install --upgrade mozregression
$ mozregression --good 79 --bad 80 --pref gfx.webrender.force-disabled:true

Hey thank you for your answer. Sadly it still happens with the webrenderer enabled. I tried the recommended way of testing the regression.

One thing I noticed which is odd is the following:

When I start the browser and go on youtube, everything is fine. However after I watched something on the video platform floatplane where I observe tearing, I get tearing on youtube and anywhere else. Is this explainable somehow?

(In reply to ruffson from comment #3)

(In reply to Darkspirit, Servo QA from comment #2)

Thanks for the report!
Please open about:config, set gfx.webrender.all to true and restart Firefox to check if hardware rendering solves this problem.

If you think this is a regression, please also try to find a regression range:
$ pip3 install --upgrade mozregression
$ mozregression --good 79 --bad 80 --pref gfx.webrender.force-disabled:true

Hey thank you for your answer. Sadly it still happens with the webrenderer enabled. I tried the recommended way of testing the regression.

One thing I noticed which is odd is the following:

When I start the browser and go on youtube, everything is fine. However after I watched something on the video platform floatplane where I observe tearing, I get tearing on youtube and anywhere else. Is this explainable somehow?

having the same exact issue and odd behaviour. I experienced screen tearing with previous versions of firefox that were fixed by forcing HW accelaration but this time it seems not to work.

I added a video demonstrating the issue. I can exactly trigger the screen tearing.

This is how I reproduced it:

  1. Open new firefox window, deactivate all add-ons
  2. Open screen tearing test video
  3. Verify that no screen tearing occurs
  4. Go to floatplane.com and open random video, leave playing for a few secs
  5. From now on you got screen tearing in this browser window only
  6. Verify screen tearing by going back to original screen tearing test video tab

My current graphics settings (after re-enablling add-ons btw):

Graphics
Features
Compositing	Basic
Asynchronous Pan/Zoom	wheel input enabled; scrollbar drag enabled; keyboard enabled; autoscroll enabled
WebGL 1 Driver WSI Info	GLX 1.4
GLX_VENDOR(client): Mesa Project and SGI
GLX_VENDOR(server): SGI
Extensions: GLX_ARB_create_context GLX_ARB_create_context_no_error GLX_ARB_create_context_profile GLX_ARB_create_context_robustness GLX_ARB_fbconfig_float GLX_ARB_framebuffer_sRGB GLX_ARB_get_proc_address GLX_ARB_multisample GLX_EXT_buffer_age GLX_EXT_create_context_es2_profile GLX_EXT_create_context_es_profile GLX_EXT_fbconfig_packed_float GLX_EXT_framebuffer_sRGB GLX_EXT_import_context GLX_EXT_texture_from_pixmap GLX_EXT_visual_info GLX_EXT_visual_rating GLX_INTEL_swap_event GLX_MESA_copy_sub_buffer GLX_MESA_query_renderer GLX_MESA_swap_control GLX_OML_swap_method GLX_OML_sync_control GLX_SGIS_multisample GLX_SGIX_fbconfig GLX_SGIX_pbuffer GLX_SGIX_visual_select_group GLX_SGI_make_current_read GLX_SGI_swap_control GLX_SGI_video_sync 
WebGL 1 Driver Renderer	Intel -- Mesa Intel(R) UHD Graphics (CML GT2)
WebGL 1 Driver Version	4.6 (Compatibility Profile) Mesa 20.1.8
WebGL 1 Driver Extensions	GL_ARB_multisample GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_copy_texture GL_EXT_subtexture GL_EXT_texture_object GL_EXT_vertex_array GL_EXT_compiled_vertex_array GL_EXT_texture GL_EXT_texture3D GL_IBM_rasterpos_clip GL_ARB_point_parameters GL_EXT_draw_range_elements GL_EXT_packed_pixels GL_EXT_point_parameters GL_EXT_rescale_normal GL_EXT_separate_specular_color GL_EXT_texture_edge_clamp GL_SGIS_generate_mipmap GL_SGIS_texture_border_clamp GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod GL_ARB_framebuffer_sRGB GL_ARB_multitexture GL_EXT_framebuffer_sRGB GL_IBM_multimode_draw_arrays GL_IBM_texture_mirrored_repeat GL_3DFX_texture_compression_FXT1 GL_ARB_texture_cube_map GL_ARB_texture_env_add GL_ARB_transpose_matrix GL_EXT_blend_func_separate GL_EXT_fog_coord GL_EXT_multi_draw_arrays GL_EXT_secondary_color GL_EXT_texture_env_add GL_EXT_texture_filter_anisotropic GL_EXT_texture_lod_bias GL_INGR_blend_func_separate GL_NV_blend_square GL_NV_light_max_exponent GL_NV_texgen_reflection GL_NV_texture_env_combine4 GL_S3_s3tc GL_SUN_multi_draw_arrays GL_ARB_texture_border_clamp GL_ARB_texture_compression GL_EXT_framebuffer_object GL_EXT_texture_compression_s3tc GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_MESA_window_pos GL_NV_packed_depth_stencil GL_NV_texture_rectangle GL_ARB_depth_texture GL_ARB_occlusion_query GL_ARB_shadow GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_mirrored_repeat GL_ARB_window_pos GL_ATI_fragment_shader GL_EXT_stencil_two_side GL_EXT_texture_cube_map GL_NV_depth_clamp GL_NV_fog_distance GL_APPLE_packed_pixels GL_ARB_draw_buffers GL_ARB_fragment_program GL_ARB_fragment_shader GL_ARB_shader_objects GL_ARB_vertex_program GL_ARB_vertex_shader GL_ATI_draw_buffers GL_ATI_texture_env_combine3 GL_ATI_texture_float GL_EXT_shadow_funcs GL_EXT_stencil_wrap GL_MESA_pack_invert GL_NV_primitive_restart GL_ARB_depth_clamp GL_ARB_fragment_program_shadow GL_ARB_half_float_pixel GL_ARB_occlusion_query2 GL_ARB_point_sprite GL_ARB_shading_language_100 GL_ARB_sync GL_ARB_texture_non_power_of_two GL_ARB_vertex_buffer_object GL_ATI_blend_equation_separate GL_EXT_blend_equation_separate GL_OES_read_format GL_ARB_color_buffer_float GL_ARB_pixel_buffer_object GL_ARB_texture_compression_rgtc GL_ARB_texture_float GL_ARB_texture_rectangle GL_EXT_packed_float GL_EXT_pixel_buffer_object GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_rgtc GL_EXT_texture_rectangle GL_EXT_texture_sRGB GL_EXT_texture_shared_exponent GL_ARB_framebuffer_object GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXT_packed_depth_stencil GL_ARB_vertex_array_object GL_ATI_separate_stencil GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_gpu_program_parameters GL_EXT_gpu_shader4 GL_EXT_texture_array GL_EXT_texture_integer GL_EXT_texture_sRGB_decode GL_EXT_timer_query GL_OES_EGL_image GL_AMD_performance_monitor GL_EXT_texture_buffer_object GL_AMD_texture_texture4 GL_ARB_copy_buffer GL_ARB_depth_buffer_float GL_ARB_draw_instanced GL_ARB_half_float_vertex GL_ARB_instanced_arrays GL_ARB_map_buffer_range GL_ARB_texture_buffer_object GL_ARB_texture_rg GL_ARB_texture_swizzle GL_ARB_vertex_array_bgra GL_EXT_texture_swizzle GL_EXT_vertex_array_bgra GL_NV_conditional_render GL_AMD_conservative_depth GL_AMD_depth_clamp_separate GL_AMD_draw_buffers_blend GL_AMD_seamless_cubemap_per_texture GL_AMD_shader_stencil_export GL_ARB_ES2_compatibility GL_ARB_blend_func_extended GL_ARB_compatibility GL_ARB_debug_output GL_ARB_draw_buffers_blend GL_ARB_draw_elements_base_vertex GL_ARB_explicit_attrib_location GL_ARB_fragment_coord_conventions GL_ARB_provoking_vertex GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_shader_stencil_export GL_ARB_shader_texture_lod GL_ARB_tessellation_shader GL_ARB_texture_buffer_object_rgb32 GL_ARB_texture_cube_map_array GL_ARB_texture_gather GL_ARB_texture_multisample GL_ARB_texture_query_lod GL_ARB_texture_rgb10_a2ui GL_ARB_uniform_buffer_object GL_ARB_vertex_type_2_10_10_10_rev GL_EXT_provoking_vertex GL_EXT_texture_snorm GL_MESA_texture_signed_rgba GL_NV_copy_image GL_NV_texture_barrier GL_ARB_draw_indirect GL_ARB_get_program_binary GL_ARB_gpu_shader5 GL_ARB_gpu_shader_fp64 GL_ARB_robustness GL_ARB_separate_shader_objects GL_ARB_shader_bit_encoding GL_ARB_shader_precision GL_ARB_shader_subroutine GL_ARB_texture_compression_bptc GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ARB_vertex_attrib_64bit GL_ARB_viewport_array GL_EXT_direct_state_access GL_EXT_vertex_attrib_64bit GL_AMD_multi_draw_indirect GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ARB_base_instance GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth GL_ARB_internalformat_query GL_ARB_map_buffer_alignment GL_ARB_shader_atomic_counters GL_ARB_shader_image_load_store GL_ARB_shading_language_420pack GL_ARB_shading_language_packing GL_ARB_texture_storage GL_ARB_transform_feedback_instanced GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_transform_feedback GL_AMD_query_buffer_object GL_AMD_shader_trinary_minmax GL_AMD_vertex_shader_layer GL_AMD_vertex_shader_viewport_index GL_ARB_ES3_compatibility GL_ARB_arrays_of_arrays GL_ARB_clear_buffer_object GL_ARB_compute_shader GL_ARB_copy_image GL_ARB_explicit_uniform_location GL_ARB_fragment_layer_viewport GL_ARB_framebuffer_no_attachments GL_ARB_invalidate_subdata GL_ARB_multi_draw_indirect GL_ARB_program_interface_query GL_ARB_robust_buffer_access_behavior GL_ARB_shader_image_size GL_ARB_shader_storage_buffer_object GL_ARB_stencil_texturing GL_ARB_texture_buffer_range GL_ARB_texture_query_levels GL_ARB_texture_storage_multisample GL_ARB_texture_view GL_ARB_vertex_attrib_binding GL_KHR_debug GL_KHR_robustness GL_KHR_texture_compression_astc_ldr GL_AMD_pinned_memory GL_ARB_buffer_storage GL_ARB_clear_texture GL_ARB_enhanced_layouts GL_ARB_indirect_parameters GL_ARB_internalformat_query2 GL_ARB_multi_bind GL_ARB_query_buffer_object GL_ARB_seamless_cubemap_per_texture GL_ARB_shader_draw_parameters GL_ARB_shader_group_vote GL_ARB_shading_language_include GL_ARB_texture_mirror_clamp_to_edge GL_ARB_texture_stencil8 GL_ARB_vertex_type_10f_11f_11f_rev GL_EXT_shader_framebuffer_fetch GL_EXT_shader_integer_mix GL_INTEL_performance_query GL_ARB_ES3_1_compatibility GL_ARB_clip_control GL_ARB_conditional_render_inverted GL_ARB_cull_distance GL_ARB_derivative_control GL_ARB_direct_state_access GL_ARB_get_texture_sub_image GL_ARB_pipeline_statistics_query GL_ARB_shader_texture_image_samples GL_ARB_texture_barrier GL_ARB_transform_feedback_overflow_query GL_EXT_polygon_offset_clamp GL_KHR_blend_equation_advanced GL_KHR_blend_equation_advanced_coherent GL_KHR_context_flush_control GL_KHR_robust_buffer_access_behavior GL_ARB_fragment_shader_interlock GL_ARB_gpu_shader_int64 GL_ARB_parallel_shader_compile GL_ARB_post_depth_coverage GL_ARB_shader_atomic_counter_ops GL_ARB_shader_ballot GL_ARB_shader_clock GL_ARB_shader_viewport_layer_array GL_EXT_shader_samples_identical GL_KHR_no_error GL_KHR_texture_compression_astc_sliced_3d GL_NV_fragment_shader_interlock GL_ARB_gl_spirv GL_ARB_spirv_extensions GL_MESA_shader_integer_functions GL_ARB_polygon_offset_clamp GL_ARB_texture_filter_anisotropic GL_KHR_parallel_shader_compile GL_EXT_EGL_image_storage GL_EXT_shader_framebuffer_fetch_non_coherent GL_EXT_texture_sRGB_R8 GL_EXT_texture_shadow_lod GL_INTEL_blackhole_render GL_INTEL_shader_atomic_float_minmax GL_INTEL_shader_integer_functions2 GL_MESA_framebuffer_flip_y GL_NV_compute_shader_derivatives GL_EXT_EGL_sync GL_EXT_demote_to_helper_invocation 
WebGL 1 Extensions	ANGLE_instanced_arrays EXT_blend_minmax EXT_color_buffer_half_float EXT_float_blend EXT_frag_depth EXT_shader_texture_lod EXT_sRGB EXT_texture_compression_bptc EXT_texture_compression_rgtc EXT_texture_filter_anisotropic MOZ_debug OES_element_index_uint OES_fbo_render_mipmap OES_standard_derivatives OES_texture_float OES_texture_float_linear OES_texture_half_float OES_texture_half_float_linear OES_vertex_array_object WEBGL_color_buffer_float WEBGL_compressed_texture_astc WEBGL_compressed_texture_etc WEBGL_compressed_texture_s3tc WEBGL_compressed_texture_s3tc_srgb WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_depth_texture WEBGL_draw_buffers WEBGL_lose_context
WebGL 2 Driver WSI Info	GLX 1.4
GLX_VENDOR(client): Mesa Project and SGI
GLX_VENDOR(server): SGI
Extensions: GLX_ARB_create_context GLX_ARB_create_context_no_error GLX_ARB_create_context_profile GLX_ARB_create_context_robustness GLX_ARB_fbconfig_float GLX_ARB_framebuffer_sRGB GLX_ARB_get_proc_address GLX_ARB_multisample GLX_EXT_buffer_age GLX_EXT_create_context_es2_profile GLX_EXT_create_context_es_profile GLX_EXT_fbconfig_packed_float GLX_EXT_framebuffer_sRGB GLX_EXT_import_context GLX_EXT_texture_from_pixmap GLX_EXT_visual_info GLX_EXT_visual_rating GLX_INTEL_swap_event GLX_MESA_copy_sub_buffer GLX_MESA_query_renderer GLX_MESA_swap_control GLX_OML_swap_method GLX_OML_sync_control GLX_SGIS_multisample GLX_SGIX_fbconfig GLX_SGIX_pbuffer GLX_SGIX_visual_select_group GLX_SGI_make_current_read GLX_SGI_swap_control GLX_SGI_video_sync 
WebGL 2 Driver Renderer	Intel -- Mesa Intel(R) UHD Graphics (CML GT2)
WebGL 2 Driver Version	4.6 (Core Profile) Mesa 20.1.8
WebGL 2 Driver Extensions	GL_3DFX_texture_compression_FXT1 GL_AMD_conservative_depth GL_AMD_depth_clamp_separate GL_AMD_draw_buffers_blend GL_AMD_gpu_shader_int64 GL_AMD_multi_draw_indirect GL_AMD_performance_monitor GL_AMD_pinned_memory GL_AMD_query_buffer_object GL_AMD_seamless_cubemap_per_texture GL_AMD_shader_stencil_export GL_AMD_shader_trinary_minmax GL_AMD_texture_texture4 GL_AMD_vertex_shader_layer GL_AMD_vertex_shader_viewport_index GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ARB_ES2_compatibility GL_ARB_ES3_1_compatibility GL_ARB_ES3_2_compatibility GL_ARB_ES3_compatibility GL_ARB_arrays_of_arrays GL_ARB_base_instance GL_ARB_blend_func_extended GL_ARB_buffer_storage GL_ARB_clear_buffer_object GL_ARB_clear_texture GL_ARB_clip_control GL_ARB_compressed_texture_pixel_storage GL_ARB_compute_shader GL_ARB_conditional_render_inverted GL_ARB_conservative_depth GL_ARB_copy_buffer GL_ARB_copy_image GL_ARB_cull_distance GL_ARB_debug_output GL_ARB_depth_buffer_float GL_ARB_depth_clamp GL_ARB_derivative_control GL_ARB_direct_state_access GL_ARB_draw_buffers GL_ARB_draw_buffers_blend GL_ARB_draw_elements_base_vertex GL_ARB_draw_indirect GL_ARB_draw_instanced GL_ARB_enhanced_layouts GL_ARB_explicit_attrib_location GL_ARB_explicit_uniform_location GL_ARB_fragment_coord_conventions GL_ARB_fragment_layer_viewport GL_ARB_fragment_shader GL_ARB_fragment_shader_interlock GL_ARB_framebuffer_no_attachments GL_ARB_framebuffer_object GL_ARB_framebuffer_sRGB GL_ARB_get_program_binary GL_ARB_get_texture_sub_image GL_ARB_gl_spirv GL_ARB_gpu_shader5 GL_ARB_gpu_shader_fp64 GL_ARB_gpu_shader_int64 GL_ARB_half_float_pixel GL_ARB_half_float_vertex GL_ARB_indirect_parameters GL_ARB_instanced_arrays GL_ARB_internalformat_query GL_ARB_internalformat_query2 GL_ARB_invalidate_subdata GL_ARB_map_buffer_alignment GL_ARB_map_buffer_range GL_ARB_multi_bind GL_ARB_multi_draw_indirect GL_ARB_occlusion_query2 GL_ARB_parallel_shader_compile GL_ARB_pipeline_statistics_query GL_ARB_pixel_buffer_object GL_ARB_point_sprite GL_ARB_polygon_offset_clamp GL_ARB_post_depth_coverage GL_ARB_program_interface_query GL_ARB_provoking_vertex GL_ARB_query_buffer_object GL_ARB_robust_buffer_access_behavior GL_ARB_robustness GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_seamless_cubemap_per_texture GL_ARB_separate_shader_objects GL_ARB_shader_atomic_counter_ops GL_ARB_shader_atomic_counters GL_ARB_shader_ballot GL_ARB_shader_bit_encoding GL_ARB_shader_clock GL_ARB_shader_draw_parameters GL_ARB_shader_group_vote GL_ARB_shader_image_load_store GL_ARB_shader_image_size GL_ARB_shader_objects GL_ARB_shader_precision GL_ARB_shader_stencil_export GL_ARB_shader_storage_buffer_object GL_ARB_shader_subroutine GL_ARB_shader_texture_image_samples GL_ARB_shader_texture_lod GL_ARB_shader_viewport_layer_array GL_ARB_shading_language_420pack GL_ARB_shading_language_include GL_ARB_shading_language_packing GL_ARB_spirv_extensions GL_ARB_stencil_texturing GL_ARB_sync GL_ARB_tessellation_shader GL_ARB_texture_barrier GL_ARB_texture_buffer_object GL_ARB_texture_buffer_object_rgb32 GL_ARB_texture_buffer_range GL_ARB_texture_compression_bptc GL_ARB_texture_compression_rgtc GL_ARB_texture_cube_map_array GL_ARB_texture_filter_anisotropic GL_ARB_texture_float GL_ARB_texture_gather GL_ARB_texture_mirror_clamp_to_edge GL_ARB_texture_multisample GL_ARB_texture_non_power_of_two GL_ARB_texture_query_levels GL_ARB_texture_query_lod GL_ARB_texture_rectangle GL_ARB_texture_rg GL_ARB_texture_rgb10_a2ui GL_ARB_texture_stencil8 GL_ARB_texture_storage GL_ARB_texture_storage_multisample GL_ARB_texture_swizzle GL_ARB_texture_view GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ARB_transform_feedback_instanced GL_ARB_transform_feedback_overflow_query GL_ARB_uniform_buffer_object GL_ARB_vertex_array_bgra GL_ARB_vertex_array_object GL_ARB_vertex_attrib_64bit GL_ARB_vertex_attrib_binding GL_ARB_vertex_buffer_object GL_ARB_vertex_shader GL_ARB_vertex_type_10f_11f_11f_rev GL_ARB_vertex_type_2_10_10_10_rev GL_ARB_viewport_array GL_ATI_blend_equation_separate GL_ATI_texture_float GL_EXT_EGL_image_storage GL_EXT_EGL_sync GL_EXT_abgr GL_EXT_blend_equation_separate GL_EXT_demote_to_helper_invocation GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_framebuffer_object GL_EXT_framebuffer_sRGB GL_EXT_packed_depth_stencil GL_EXT_packed_float GL_EXT_pixel_buffer_object GL_EXT_polygon_offset_clamp GL_EXT_provoking_vertex GL_EXT_shader_framebuffer_fetch GL_EXT_shader_framebuffer_fetch_non_coherent GL_EXT_shader_integer_mix GL_EXT_shader_samples_identical GL_EXT_texture_array GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_rgtc GL_EXT_texture_compression_s3tc GL_EXT_texture_filter_anisotropic GL_EXT_texture_integer GL_EXT_texture_sRGB GL_EXT_texture_sRGB_R8 GL_EXT_texture_sRGB_decode GL_EXT_texture_shadow_lod GL_EXT_texture_shared_exponent GL_EXT_texture_snorm GL_EXT_texture_swizzle GL_EXT_timer_query GL_EXT_transform_feedback GL_EXT_vertex_array_bgra GL_EXT_vertex_attrib_64bit GL_IBM_multimode_draw_arrays GL_INTEL_blackhole_render GL_INTEL_conservative_rasterization GL_INTEL_performance_query GL_INTEL_shader_atomic_float_minmax GL_INTEL_shader_integer_functions2 GL_KHR_blend_equation_advanced GL_KHR_blend_equation_advanced_coherent GL_KHR_context_flush_control GL_KHR_debug GL_KHR_no_error GL_KHR_parallel_shader_compile GL_KHR_robust_buffer_access_behavior GL_KHR_robustness GL_KHR_texture_compression_astc_ldr GL_KHR_texture_compression_astc_sliced_3d GL_MESA_framebuffer_flip_y GL_MESA_pack_invert GL_MESA_shader_integer_functions GL_MESA_texture_signed_rgba GL_NV_compute_shader_derivatives GL_NV_conditional_render GL_NV_copy_image GL_NV_depth_clamp GL_NV_fragment_shader_interlock GL_NV_packed_depth_stencil GL_NV_texture_barrier GL_OES_EGL_image GL_S3_s3tc
WebGL 2 Extensions	EXT_color_buffer_float EXT_float_blend EXT_texture_compression_bptc EXT_texture_compression_rgtc EXT_texture_filter_anisotropic MOZ_debug OES_texture_float_linear WEBGL_compressed_texture_astc WEBGL_compressed_texture_etc WEBGL_compressed_texture_s3tc WEBGL_compressed_texture_s3tc_srgb WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_lose_context
Window Protocol	x11
Desktop Environment	gnome
Off Main Thread Painting Enabled	true
Off Main Thread Painting Worker Count	4
Target Frame Rate	60
GPU #1
Active	Yes
Description	Mesa Intel(R) UHD Graphics (CML GT2)
Vendor ID	0x8086
Device ID	0x9bc4
Driver Vendor	mesa/iris
Driver Version	20.1.8.0
RAM	3072
Diagnostics
AzureCanvasBackend	skia
AzureContentBackend	skia
AzureFallbackCanvasBackend	none
CairoUseXRender	0
CMSOutputProfile	9908 bytes, too large
Display0	3840x2400 default
DisplayCount	1
Decision Log
HW_COMPOSITING	
available by default
blocked by env: Acceleration blocked by platform
OPENGL_COMPOSITING	
unavailable by default: Hardware compositing is disabled
WEBRENDER	
opt-in by default: WebRender is an opt-in feature
WEBRENDER_QUALIFIED	
available by default
denied by env: Not on allowlist
WEBRENDER_COMPOSITOR	
disabled by default: Disabled by default
WEBRENDER_ANGLE	
opt-in by default: WebRender ANGLE is an opt-in feature
WEBRENDER_DCOMP_PRESENT	
opt-in by default: WebRender DirectComposition is an opt-in feature
OMTP	
available by default
WEBGPU	
disabled by default: Disabled by default
blocked by runtime: WebGPU can only be enabled in nightly

When you tried with mozregression, did it give you a pushlog in the output? If it has indeed gotten much worse from 79 in 80, then knowing the exact change would help a lot in our investigation. Thanks!

Flags: needinfo?(ruffson)

(In reply to Andrew Osmond [:aosmond] from comment #6)

When you tried with mozregression, did it give you a pushlog in the output? If it has indeed gotten much worse from 79 in 80, then knowing the exact change would help a lot in our investigation. Thanks!

Nope, all I got was this:

mozregression --good 79 --bad 80 --pref gfx.webrender.force-disabled:true
**********
You should use a config file. Please use the --write-config command line flag to help you create one.
**********

 0:01.47 INFO: Using date 2020-07-27 for release 80
 0:02.63 INFO: Using date 2020-06-29 for release 79
 0:05.58 INFO: Testing good and bad builds to ensure that they are really good and bad...
 0:05.58 INFO: Downloading build from: https://archive.mozilla.org/pub/firefox/nightly/2020/06/2020-06-29-15-46-04-mozilla-central/firefox-80.0a1.en-US.linux-x86_64.tar.bz2
===== Downloaded 100% =====
 0:28.30 INFO: Running mozilla-central build for 2020-06-29
 0:37.12 INFO: Launching /tmp/tmp3y9m91lo/firefox/firefox
 0:37.12 INFO: Application command: /tmp/tmp3y9m91lo/firefox/firefox -profile /tmp/tmpwnbt1bti.mozrunner
 0:37.13 INFO: application_buildid: 20200629154604
 0:37.13 INFO: application_changeset: 31fb4a2a69124b6a21e5d8f44a0407d489749407
 0:37.13 INFO: application_name: Firefox
 0:37.13 INFO: application_repository: https://hg.mozilla.org/mozilla-central
 0:37.13 INFO: application_version: 80.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry' or 'exit' and press Enter): bad
 3:01.45 ERROR: Build was expected to be good! The initial good/bad range seems incorrect.
Flags: needinfo?(ruffson)

Ah I think the output is a bit misleading, the first build it tried was probably the very first build made with 80.0a1 version. That suggests either was the very first build that introduced it, or it happened sooner than 79.... Try "--good 78" (or if it is still bad, try 68 to go way back). Thanks!

Flags: needinfo?(ruffson)

(In reply to Andrew Osmond [:aosmond] from comment #8)

Ah I think the output is a bit misleading, the first build it tried was probably the very first build made with 80.0a1 version. That suggests either was the very first build that introduced it, or it happened sooner than 79.... Try "--good 78" (or if it is still bad, try 68 to go way back). Thanks!

Mhh it is still bad though with either 78 or 68.

But should I not try with layers.acceleration.force-enabled:true instead of gfx.webrender.force-disabled:true ?

Flags: needinfo?(ruffson)

(In reply to ruffson from comment #9)

(In reply to Andrew Osmond [:aosmond] from comment #8)

Ah I think the output is a bit misleading, the first build it tried was probably the very first build made with 80.0a1 version. That suggests either was the very first build that introduced it, or it happened sooner than 79.... Try "--good 78" (or if it is still bad, try 68 to go way back). Thanks!

Mhh it is still bad though with either 78 or 68.

But should I not try with layers.acceleration.force-enabled:true instead of gfx.webrender.force-disabled:true ?

Oh I missed that, both please :). You can separate them after the initial --pref with a space.

(In reply to Andrew Osmond [:aosmond] from comment #10)

(In reply to ruffson from comment #9)

(In reply to Andrew Osmond [:aosmond] from comment #8)

Ah I think the output is a bit misleading, the first build it tried was probably the very first build made with 80.0a1 version. That suggests either was the very first build that introduced it, or it happened sooner than 79.... Try "--good 78" (or if it is still bad, try 68 to go way back). Thanks!

Mhh it is still bad though with either 78 or 68.

But should I not try with layers.acceleration.force-enabled:true instead of gfx.webrender.force-disabled:true ?

Oh I missed that, both please :). You can separate them after the initial --pref with a space.

Okay now I good two good ones :)
Although I should say, whenever I set layers.acceleration.force-enabled to true I did not set gfx.webrender.force-disabled to true either.
If that is the way to go I should test again with the current version.

Maybe the problem is that also setting gfx.webrender.force-disabled was not neccessary before but now is?

Here is the output:

mozregression --good 78 --bad 80 --pref gfx.webrender.force-disabled:true layers.acceleration.force-enabled:true
**********
You should use a config file. Please use the --write-config command line flag to help you create one.
**********

 0:01.33 INFO: Using date 2020-07-27 for release 80
 0:02.92 INFO: Using date 2020-06-01 for release 78
 0:03.60 INFO: Testing good and bad builds to ensure that they are really good and bad...
 0:03.60 INFO: Downloading build from: https://archive.mozilla.org/pub/firefox/nightly/2020/06/2020-06-01-21-42-28-mozilla-central/firefox-79.0a1.en-US.linux-x86_64.tar.bz2
===== Downloaded 100% =====
 0:18.98 INFO: Running mozilla-central build for 2020-06-01
 0:27.57 INFO: Launching /tmp/tmpip_0wuf0/firefox/firefox
 0:27.57 INFO: Application command: /tmp/tmpip_0wuf0/firefox/firefox -profile /tmp/tmpucvdcwb2.mozrunner
 0:27.58 INFO: application_buildid: 20200601214228
 0:27.58 INFO: application_changeset: bc973d369db58faf254ddcef201089dc28e6d3be
 0:27.58 INFO: application_name: Firefox
 0:27.58 INFO: application_repository: https://hg.mozilla.org/mozilla-central
 0:27.58 INFO: application_version: 79.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry' or 'exit' and press Enter): good
 4:56.42 INFO: Using local file: /tmp/tmptd4892s2/2020-07-27--mozilla-central--firefox-81.0a1.en-US.linux-x86_64.tar.bz2 (downloaded in background)
 4:56.42 INFO: Running mozilla-central build for 2020-07-27
 5:05.39 INFO: Launching /tmp/tmpvtmxwo6n/firefox/firefox
 5:05.39 INFO: Application command: /tmp/tmpvtmxwo6n/firefox/firefox -profile /tmp/tmpvridm_rc.mozrunner
 5:05.40 INFO: application_buildid: 20200727203201
 5:05.40 INFO: application_changeset: 932240e49142e17bdacd2bb6a12afa92f52d2b52
 5:05.40 INFO: application_name: Firefox
 5:05.40 INFO: application_repository: https://hg.mozilla.org/mozilla-central
 5:05.40 INFO: application_version: 81.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry' or 'exit' and press Enter): good
 7:37.41 ERROR: Build was expected to be bad! The initial good/bad range seems incorrect.

(In reply to ruffson from comment #11)
"WebRender" (the new OpenGL hardware renderer) is enabled by default in Nightly. It has a higher priority than previous "OpenGL" hardware rendering and than "Basic" software rendering.
You seem to be testing the correct prefs. Either you haven't found the right "steps to reproduce" (STR) yet or the problem was introduced later with a backport to Beta.
Try using a broader range, maybe that helps:
$ mozregression --good 78 --bad 2020-09-30 --pref gfx.webrender.force-disabled:true layers.acceleration.force-enabled:true

(In reply to ruffson from comment #5)

Compositing Basic

In general, tearing is expected (bug 1420712 comment 4) with Basic (software rendering) until Linux users get hardware rendering by default (bug 1614523). Until then, you can force-enable hardware rendering by setting gfx.webrender.all to true and restarting Firefox.

(ruffson from comment #0)

  • using Nvidia GPU offloading, but running Firefox on intel graphics

Compositing Basic

Description Mesa Intel(R) UHD Graphics (CML GT2)

(In reply to ruffson from comment #3)

Sadly it still happens with the webrenderer enabled. I tried the recommended way of testing the regression.

One thing I noticed which is odd is the following:

When I start the browser and go on youtube, everything is fine. However after I watched something on the video platform floatplane where I observe tearing, I get tearing on youtube and anywhere else. Is this explainable somehow?

Please enable gfx.webrender.all, restart Firefox. When tearing starts occuring, open about:support, click on "Copy text to clipboard" and paste it here. Maybe there is an error that forces Firefox to fall back to software rendering. Thanks!

For nightly and early beta users, many Linux users will get WebRender, even if they set layers.acceleration.force-enabled to true. We aren't really putting work into the OpenGL backend so while that may help in the short term, it would be better if we get it working with WebRender as that is the future for all platforms, Linux included.

I was able to reproduce the issue on WebRender, and it appears to be a recent regression:

mozregression --good 80 --bad 2020-10-01 --pref gfx.webrender.all:true
16:14.22 INFO: No more integration revisions, bisection finished.
16:14.22 INFO: Last good revision: 7134225dde7d8481a503a10f2ada8c1f038e488e
16:14.22 INFO: First bad revision: 16bf991df0003caa9a5db83448373fb4f0bcd561
16:14.22 INFO: Pushlog:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=7134225dde7d8481a503a10f2ada8c1f038e488e&tochange=16bf991df0003caa9a5db83448373fb4f0bcd561

Blocks: wr-linux
Severity: -- → S3
Status: UNCONFIRMED → NEW
Ever confirmed: true
Flags: needinfo?(robert.mader)
Keywords: regression
Regressed by: 1617002
Flags: needinfo?(stransky)
  1. Open new firefox window, deactivate all add-ons
  2. Open screen tearing test video
  3. Verify that no screen tearing occurs
  4. Go to floatplane.com and open random video, leave playing for a few secs
  5. From now on you got screen tearing in this browser window only
  6. Verify screen tearing by going back to original screen tearing test video tab

I see a fullscreen switch is involved here. Can you reproduce it without the fullscreen transition?

I guess the regressed patch made the rendering faster (unbuffered) which may cause the tearing, maybe removed the buffering made by mutter compositor (I see you use Gnome):

https://searchfox.org/mozilla-central/rev/222e4f64b769413ac1a1991d2397b13a0acb5d9d/widget/gtk/nsWindow.cpp#4794

Flags: needinfo?(stransky) → needinfo?(ruffson)

The regression with Webrender and OpenGL renderers on X11 are completely expected (see https://bugzilla.mozilla.org/show_bug.cgi?id=1617002#c17) - one solution would be to not request fullscreen unredirect on X11 AFAIK.

Flags: needinfo?(robert.mader)

Okay so to summarize:

Screen tearing currently occurs on every rendering engine on Firefox:

  • On basic it is triggered by other video platforms for whatever reason and stays thereafter as I have showed above. Screen tearing here is expected.
  • On the old software OpenGL engine it occurs right away but this one is phased out. Screen tearing is also expected here.
  • The new hardware accelerated OpenGL engine "Webrenderer" also has screen tearing because there are two bugs.

So the only way to avoid screen tearing currenty, suggested by Robert, is:

  1. Force hardware acceleration
  2. Install this extension for it to work around the known bugs.

It is unforunate that there is no "out-of the box" screen tearing free experience on Firefox after it broke sometime after a 7x release.
I will try this out this workaround later on.

Flags: needinfo?(ruffson)
Component: Graphics → Widget: Gtk
Priority: -- → P2

(In reply to ruffson from comment #19)

So the only way to avoid screen tearing currenty, suggested by Robert, is:

  1. Force hardware acceleration
  2. Install this extension for it to work around the known bugs.

It is unforunate that there is no "out-of the box" screen tearing free experience on Firefox after it broke sometime after a 7x release.
I will try this out this workaround later on.

I can confirm that this seems to work.

So from what I gathered the extension is only necessary as long as either the X-server bug is fixed or a workaround in GNOME is implemented. Either of which is not actively worked on.

But the GNOME issue states:

[...] even in firefox and chrome the video playback and navigation still have tearing on Gnome since _NET_WM_BYPASS_COMPOSITOR will only be supported in their next version [..]

Does this mean the next Firefox version will get rid of screen tearing by implementing support for _NET_WM_BYPASS_COMPOSITOR and thus making the need of that extension go away?

Also I sincerely want to thank the developers for their work, I really appreciate it!

Until bug 1617002 Firefox would unintendedly not get unredirected on X11
when used with WR and OpenGL as it didn't fullfill the requirements -
not being transparent.

Now that this is fixed, fullscreen unredirection can happen on certain
compositors. For the basic compositor we already explicitely ask to not
get unredirected - do that for all backends.

Assignee: nobody → robert.mader
Status: NEW → ASSIGNED
Pushed by rmaries@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/2b03ab71a84c
Request to stay unredirected on WR/OGL, too. r=stransky

For the record: we might be able to request unredirection if we fix up our vsync implementation (for EGL see bug 1640779).

On Xwayland it also shouldn't be a problem (since https://gitlab.freedesktop.org/xorg/xserver/-/merge_requests/316), which again allows Wayland compositors to do unredirection if they can - as of Gnome, it got implemented in 3.38 (https://gitlab.gnome.org/GNOME/mutter/-/merge_requests/798). However, we don't need to do anything about that here as the the compositor can simply ignore the _NET_WM_BYPASS_COMPOSITOR hint if it knows it's safe - Gnome 3.38 does that.

On the Wayland backend we need to solve bug 1668805.

Backed out for failures on browser_startup_syncIPC.js

backout: https://hg.mozilla.org/integration/autoland/rev/2e31df2c3843dde4dcf6a1726a8b2028ae69b41e

push: https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=2b03ab71a84c45e4b43cce73daeca74c8d077400&group_state=expanded&selectedTaskRun=BI98OVCAS6CHhLFh66nPLg.0

failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=317424407&repo=autoland&lineNumber=2472

[task 2020-10-02T17:58:23.161Z] 17:58:23 INFO - TEST-START | browser/base/content/test/performance/browser_startup_syncIPC.js
[task 2020-10-02T17:58:23.161Z] 17:58:23 INFO - TEST-INFO | started process screentopng
[task 2020-10-02T17:58:23.478Z] 17:58:23 INFO - TEST-INFO | screentopng: exit 0
[task 2020-10-02T17:58:23.479Z] 17:58:23 INFO - Buffered messages logged at 17:58:23
[task 2020-10-02T17:58:23.479Z] 17:58:23 INFO - Entering test bound
[task 2020-10-02T17:58:23.480Z] 17:58:23 INFO - known sync IPC before opening first browser window:
[task 2020-10-02T17:58:23.480Z] 17:58:23 INFO - PLayerTransaction::Msg_GetTextureFactoryIdentifier - at most 1 times
[task 2020-10-02T17:58:23.480Z] 17:58:23 INFO - TEST-PASS | browser/base/content/test/performance/browser_startup_syncIPC.js | sync IPC PLayerTransaction::Msg_GetTextureFactoryIdentifier allowed 1 more times before opening first browser window -
[task 2020-10-02T17:58:23.481Z] 17:58:23 INFO - Buffered messages finished
[task 2020-10-02T17:58:23.481Z] 17:58:23 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/performance/browser_startup_syncIPC.js | unused known IPC entry before opening first browser window: PLayerTransaction::Msg_GetTextureFactoryIdentifier -
[task 2020-10-02T17:58:23.481Z] 17:58:23 INFO - Stack trace:
[task 2020-10-02T17:58:23.481Z] 17:58:23 INFO - chrome://mochikit/content/browser-test.js:test_ok:1304
[task 2020-10-02T17:58:23.481Z] 17:58:23 INFO - chrome://mochitests/content/browser/browser/base/content/test/performance/browser_startup_syncIPC.js:null:387
[task 2020-10-02T17:58:23.481Z] 17:58:23 INFO - known sync IPC before first paint:
[task 2020-10-02T17:58:23.481Z] 17:58:23 INFO - PCompositorBridge::Msg_NotifyChildCreated - at most 1 times
[task 2020-10-02T17:58:23.482Z] 17:58:23 INFO - Not taking screenshot here: see the one that was previously logged

Flags: needinfo?(robert.mader)

99.9% sure an unrelated fail - AFAIK the test doesn't even run Webrender or OpenGL compositors. Please repush later :/

Flags: needinfo?(robert.mader)
Pushed by ncsoregi@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/442928b108aa
Request to stay unredirected on WR/OGL, too. r=stransky CLOSED TREE
Pushed by cbrindusan@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/3d48fba542df
Request to stay unredirected on WR/OGL, too. r=stransky

Hm ok, sorry! Will do a try push this time. After bug 1667674 I thought the test may be fuzzy again :/

Flags: needinfo?(robert.mader)

(Narcis Beleuzu [:NarcisB] from comment #29)

Log link: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=317473531&repo=autoland&lineNumber=2483

This line was removed:

(!GetLayerManager() || GetLayerManager()->GetBackendType() == LayersBackend::LAYERS_BASIC)

I assume this whitelist of undesired sync IPC events just complains that something is not called as soon as before anymore:

[task 2020-10-03T11:07:53.787Z] 11:07:53 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/performance/browser_startup_syncIPC.js | unused known IPC entry before opening first browser window: PLayerTransaction::Msg_GetTextureFactoryIdentifier -

https://searchfox.org/mozilla-central/rev/7ef5cefd0468b8f509efe38e0212de2398f4c8b3/browser/base/content/test/performance/browser_startup_syncIPC.js#24-28
wants to be removed. (?)

[task 2020-10-03T11:07:53.791Z] 11:07:53 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/performance/browser_startup_syncIPC.js | unexpected PLayerTransaction::Msg_GetTextureFactoryIdentifier sync IPC before first paint -

https://searchfox.org/mozilla-central/rev/7ef5cefd0468b8f509efe38e0212de2398f4c8b3/browser/base/content/test/performance/browser_startup_syncIPC.js#36
wants to become MAC || LINUX. (?)

[task 2020-10-03T11:07:53.805Z] 11:07:53 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/performance/browser_startup_syncIPC.js | unexpected PLayerTransaction::Msg_GetTextureFactoryIdentifier sync IPC before becoming idle -

https://searchfox.org/mozilla-central/rev/7ef5cefd0468b8f509efe38e0212de2398f4c8b3/browser/base/content/test/performance/browser_startup_syncIPC.js#233
wants to become WIN || LINUX. (?)

[task 2020-10-03T11:07:53.811Z] 11:07:53 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/performance/browser_startup_syncIPC.js | Unexpected sync IPC behavior during startup; open the profile_startup_syncIPC.json artifact in the Firefox Profiler to see what happened -

Thanks, Jan! Updated the patch and tried locally, pending try run : https://treeherder.mozilla.org/#/jobs?repo=try&revision=5ded1d74516a01cd3d8e4db0e71b9c95c5b3c3c6

Looks good now \o/
And the change also makes sense.

Has Regression Range: --- → yes
Pushed by rmaries@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/c3362c39bb7b
Request to stay unredirected on WR/OGL, too. r=stransky

[task 2020-10-04T22:54:22.067Z] 22:54:22 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/performance/browser_startup_syncIPC.js | unexpected PLayerTransaction::Msg_GetTextureFactoryIdentifier sync IPC before becoming idle -

[task 2020-10-04T22:54:22.068Z] 22:54:22 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/performance/browser_startup_syncIPC.js | Unexpected sync IPC behavior during startup; open the profile_startup_syncIPC.json artifact in the Firefox Profiler to see what happened -

This came up the last time, too. Just try this change as well:

(Darkspirit, Servo QA from comment #32)

[task 2020-10-03T11:07:53.805Z] 11:07:53 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/performance/browser_startup_syncIPC.js | unexpected PLayerTransaction::Msg_GetTextureFactoryIdentifier sync IPC before becoming idle -

https://searchfox.org/mozilla-central/rev/7ef5cefd0468b8f509efe38e0212de2398f4c8b3/browser/base/content/test/performance/browser_startup_syncIPC.js#233
wants to become WIN || LINUX. (?)

[task 2020-10-03T11:07:53.811Z] 11:07:53 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/performance/browser_startup_syncIPC.js | Unexpected sync IPC behavior during startup; open the profile_startup_syncIPC.json artifact in the Firefox Profiler to see what happened -

I don't know what the last quote wants, maybe it's just a summary.

Meh - can't reproduce this one locally :(

Added that one, too: https://treeherder.mozilla.org/#/jobs?repo=try&revision=ae7f122acbb7ad050d2c8d67cfe7aac515e6b1e5

Flags: needinfo?(robert.mader)
Pushed by rmaries@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/74d95a05e228
Request to stay unredirected on WR/OGL, too. r=stransky
Status: ASSIGNED → RESOLVED
Closed: 1 year ago
Resolution: --- → FIXED
Target Milestone: --- → 83 Branch

(In reply to Andrew Osmond [:aosmond] from comment #13)

I was able to reproduce the issue on WebRender, and it appears to be a recent regression:

Should this be uplifted to beta?

Flags: needinfo?(aosmond)

IMO it should - maybe after someone affected confirms it to be fixed in nightly. Anyone? :)

I can confirm this is working in the latest nightly (and confirm that still reproduces in an old nightly).

Status: RESOLVED → VERIFIED
Flags: needinfo?(aosmond)

Comment on attachment 9179188 [details]
Bug 1667116 - Request to stay unredirected on WR/OGL, too. r=stransky

Beta/Release Uplift Approval Request

  • User impact if declined: Linux users who force WebRender or OpenGL compositing on may experience screen tearing.
  • Is this code covered by automated tests?: Yes
  • Has the fix been verified in Nightly?: Yes
  • Needs manual test from QE?: No
  • If yes, steps to reproduce:
  • List of other uplifts needed: None
  • Risk to taking this patch: Low
  • Why is the change risky/not risky? (and alternatives if risky): This only changes behaviour for Linux WebRender and OpenGL users, neither feature we have officially shipped on Linux. It uses a code path already used by the Linux Basic compositor, so it is well tested in beta already.
  • String changes made/needed:
Attachment #9179188 - Flags: approval-mozilla-beta?

It doesn't sound like this affects the default settings, since we don't enable opengl compositing or webrender on linux. IMO this can ride the trains

Attachment #9179188 - Flags: approval-mozilla-beta? → approval-mozilla-beta-
You need to log in before you can comment on or make changes to this bug.